Estoy usando centos, y he instalado python2.7 alternativamente a la por defecto de python. Soy capaz de instalar el módulo que quiero con el pip, pero no puedo instalar scipy. Cuando estoy haciendo

sudo /usr/local/bin/pip2.7 install scipy

Es la descarga, pero luego tengo este mensaje de error:

blas_mkl_info:
libraries mkl,vml,guide not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib']
NOT AVAILABLE
openblas_info:
libraries  not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib']
NOT AVAILABLE
atlas_blas_threads_info:
Setting PTATLAS=ATLAS
libraries ptf77blas,ptcblas,atlas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64/atlas', '/usr/lib64/sse2', '/usr/lib64', '/usr/lib']
NOT AVAILABLE
atlas_blas_info:
libraries f77blas,cblas,atlas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64/atlas', '/usr/lib64/sse2', '/usr/lib64', '/usr/lib']
NOT AVAILABLE
/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1521: UserWarning:
Atlas (http://math-atlas.sourceforge.net/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [atlas]) or by setting
the ATLAS environment variable.
warnings.warn(AtlasNotFoundError.__doc__)
blas_info:
libraries blas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib']
NOT AVAILABLE
/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1530: UserWarning:
Blas (http://www.netlib.org/blas/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [blas]) or by setting
the BLAS environment variable.
warnings.warn(BlasNotFoundError.__doc__)
blas_src_info:
NOT AVAILABLE
/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1533: UserWarning:
Blas (http://www.netlib.org/blas/) sources not found.
Directories to search for the sources can be specified in the
numpy/distutils/site.cfg file (section [blas_src]) or by setting
the BLAS_SRC environment variable.
warnings.warn(BlasSrcNotFoundError.__doc__)
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip_build_root/scipy/setup.py", line 237, in <module>
setup_package()
File "/tmp/pip_build_root/scipy/setup.py", line 234, in setup_package
setup(**metadata)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/core.py", line 135, in setup
config = configuration()
File "/tmp/pip_build_root/scipy/setup.py", line 173, in configuration
config.add_subpackage('scipy')
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
caller_level = 2)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
caller_level = caller_level + 1)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
config = setup_module.configuration(*args)
File "scipy/setup.py", line 12, in configuration
config.add_subpackage('integrate')
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
caller_level = 2)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
caller_level = caller_level + 1)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
config = setup_module.configuration(*args)
File "scipy/integrate/setup.py", line 12, in configuration
blas_opt = get_info('blas_opt',notfound_action=2)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 350, in get_info
return cl().get_info(notfound_action)
File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 509, in get_info
raise self.notfounderror(self.notfounderror.__doc__)
numpy.distutils.system_info.BlasNotFoundError:
Blas (http://www.netlib.org/blas/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [blas]) or by setting
the BLAS environment variable.
----------------------------------------
Cleaning up...
Command /usr/local/bin/python2.7 -c "import setuptools, tokenize;__file__='/tmp/pip_build_root/scipy/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-z_rbuN-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_root/scipy
Storing debug log for failure in /root/.pip/pip.log

alguna idea de cómo instalarlo?

InformationsquelleAutor user3636476 | 2014-07-29

1 Comentario

  1. 46

    Scipy requiere de dos Álgebra Lineal bibliotecas instaladas en su sistema. Asegúrese de que los siguientes (o sus variantes) se instalan,

    sudo yum install blas-devel lapack-devel
    • Gracias! ¿Por qué este requisito no aparece en cualquier lugar de Scipy es (ni scikit-learn) en los sitios web es un misterio para mí. También he editado tu respuesta para incluir gcc-c++, ya que necesita el scipy instalar así (no después de un largo tiempo de compilación de otras cosas antes de que se dice que). Muy agradecido.
    • Gracias por tu comentario. Supongo que su edición fue rechazado, pero gcc-c++ es de hecho un requisito. He intentado editar la respuesta así, esperamos que sea aceptado este tiempo.
    • He abierto un tema y de hecho un pull request para hablar de esto: github.com/scipy/scipy.org/issues/159 siéntase libre para mejorarlo o para seguir el tema para ver cuando es aceptado.

Dejar respuesta

Please enter your comment!
Please enter your name here